2021-04-21 17:16 CEST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000030Branch 0.2.1-FINALFeature Requestpublic2010-06-08 03:35
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000030: Zeitstempel sollten nicht mehr BIGINT(20) sein, sondern TIMESTAMP
DescriptionAlle Zeitstempel im gesamten Script sollten von BIGINT(20) nach TIMESTAMP umgestellt werden. Dabei müssen auch sämtliche Queries angepasst werden. Z.B. muss "last_online" nach "UNIX_TIMESTAMP(`last_online`) AS `last_online`" umgeschrieben werden.
Additional InformationDazu sollten erstmal alle "Zeitmarken" im Script erkannt werden (z.B. "last_online") und in diesem Ticket vermerkt werden.

Dann koennen alle gemeinsam umgestellt werden und dabei z.B. "UNIX_TIMESTAMP(`last_online`) AS last_online" dann verwendet werden, damit die SQL-Abfrage zum PHP-Code kompatibel bleibt.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000031assignedQuix0r Userdetails enthält Bug, wenn Geburtsdatum älter wie die Uni*-Epoche ist 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-25 21:24 Quix0r New Issue
2008-12-25 21:24 Quix0r Status new => assigned
2008-12-25 21:24 Quix0r Assigned To => Quix0r
2008-12-25 21:24 Quix0r ETA none => < 1 week
2008-12-25 21:24 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-06 02:49 Quix0r Build => SVN-HEAD
2009-02-07 16:01 Quix0r Relationship added parent of 0000031
2009-02-07 23:30 Quix0r Projection none => major rework
2009-02-07 23:30 Quix0r Additional Information Updated
2009-03-02 16:32 Quix0r Sticky Issue No => Yes
2009-08-06 16:03 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 16:03 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 22:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 18:52 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 03:35 Quix0r Fixed in Version 0.2.1-FINAL =>
+Issue History